Subject: Re: bug#18238: Fix for DOS build when using more accurate config[.h].in

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Aug 2014 21:05:17 +0300

> Date: Sun, 10 Aug 2014 17:47:11 +0100
> From: Reuben Thomas <[email-masked]>
> 
> DJGPP does actually have getrlimit. The special config[.h].in for MSDOS
> lies and says it hasn't. However, this is a white lie, because getrlimit on
> DJGPP doesn't support RLIMIT_AS/RLIMIT_DATA, which is what we want, so we
> still want the workaround code. The following patch simply reverses the
> order of a couple of tests in vm-limit.c so that being on MSDOS overrides
> HAVE_GETRLIMIT.
> 
> Is it OK to install?

I don't see why the suggested code is better than the existing one.
HAVE_GETRLIMIT means more than its name says, as you point out, so
DJGPP is correct in not defining one.